package com.crm.rely.backend.core.dto.follow.daily;

import lombok.Data;

/**
 *
 * @author y
 * @create 2022/5/20
 */
@Data
public class FollowDailyCompareDto {

    private String platform;

    private Long login;

    private Float position;

    private Float equity;

    private Float equityIncrement;

    private Float balance;

    private Float balanceIncrement;

    private Float profit;

    private Float profitIncrement;


    public static FollowDailyCompareDto getInstance(){
        FollowDailyCompareDto dailyCompareDto = new FollowDailyCompareDto();
        dailyCompareDto.setPosition(0F);
        dailyCompareDto.setEquity(0F);
        dailyCompareDto.setEquityIncrement(0F);
        dailyCompareDto.setBalance(0F);
        dailyCompareDto.setBalanceIncrement(0F);
        dailyCompareDto.setProfit(0F);
        dailyCompareDto.setProfitIncrement(0F);

        return dailyCompareDto;
    }

}
